MOUNT_LFS(8)

NAME
mount_lfs - mount a log-structured file system

SYNOPSIS
mount_lfs [-dns] [-o options] special node

DESCRIPTION
The mount_lfs command attaches a log-structured file system special device on to the file system tree at the point node. In addition, the lfs_cleanerd(8) utility is invoked to clean the file system periodically.

This command is normally executed by mount(8) at boot time.

The options are as follows:

-d  Run lfs_cleanerd(8) in debug mode.

-o  Options are specified with a -o flag followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings.

-n  Don't start lfs_cleanerd(8) on the file system.

-s  Cause lfs_cleanerd(8) to read data in small chunks when cleaning the file system.

SEE ALSO
mount(2), unmount(2), fstab(5), lfs_cleanerd(8), mount(8)

Ousterhout and Douglis, 1989, Beating the I/O Bottleneck: A Case for Log-structured File Systems, Operating Systems Review, Vol. 23, No. 1, pp. 11-27, also available as Technical Report UCB/CSD 88/467. Rosenblum and Ousterhout, 1991, The Design and Implementation of a Log-Structured File System, ACM SIGOPS Operating Systems Review, Vol. 25, No. 5. Seltzer, 1992, File System Performance and Transaction Support, PhD Thesis, University of California, Berkeley, also available as Technical Report UCB/ERL M92. Seltzer, Bostic, McKusick and Staelin, 1993, An Implementation of a Log-Structured File System for UNIX, Proc. of the Winter 1993 USENIX Conf., pp. 315-331.

HISTORY
The mount_lfs function first appeared in 4.4BSD.